summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2022-02-12 15:32:06 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-02-14 08:06:52 +0700
commitfc3109dcb1a477d985bc0731c5a4f549ac66e737 (patch)
tree4a774b5a63909681e19842a65cce961c5a8d9b24 /ham
parent3baaae4609028de85c3191adf2bdd4954b4b9b4a (diff)
downloadslackbuilds-fc3109dcb1a477d985bc0731c5a4f549ac66e737.tar.gz
slackbuilds-fc3109dcb1a477d985bc0731c5a4f549ac66e737.tar.xz
ham/cwstation: Use autogen.sh. i486->i586.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/cwstation/cwstation.SlackBuild39
1 files changed, 14 insertions, 25 deletions
diff --git a/ham/cwstation/cwstation.SlackBuild b/ham/cwstation/cwstation.SlackBuild
index 08dcfa2eac..7bf14995d7 100644
--- a/ham/cwstation/cwstation.SlackBuild
+++ b/ham/cwstation/cwstation.SlackBuild
@@ -8,13 +8,13 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=cwstation
VERSION=${VERSION:-0.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -32,8 +32,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -46,7 +46,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -62,25 +62,11 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Replace links to /usr/share/automake-1.8
-rm COPYING
-rm INSTALL
-rm depcomp
-rm install-sh
-rm missing
-AUTOMAKE=/usr/share/automake-1.15
-ln -s $AUTOMAKE/COPYING COPYING
-ln -s $AUTOMAKE/INSTALL INSTALL
-ln -s $AUTOMAKE/depcomp depcomp
-ln -s $AUTOMAKE/install-sh install-sh
-ln -s $AUTOMAKE/missing missing
-
-# The Makefile expects "mkinstalldirs" to be in the application source directory
-# A simple link to /bin/mkdir suffices.
-ln -s /bin/mkdir mkinstalldirs
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
+# shorter autogen
+NOCONFIGURE=1 \
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS -lm" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -88,9 +74,12 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--build=$ARCH-slackware-linux
-make LDFLAGS="-lm"
+make
make install DESTDIR=$PKG
+# cleanup empty directory
+rm -rf $PKG/usr/share
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true